xfs
[Top] [All Lists]

Re: [PATCH 1/9] xfs: don't emit v5 superblock warnings on write

To: Dave Chinner <david@xxxxxxxxxxxxx>
Subject: Re: [PATCH 1/9] xfs: don't emit v5 superblock warnings on write
From: Ben Myers <bpm@xxxxxxx>
Date: Tue, 11 Jun 2013 16:29:12 -0500
Cc: Brian Foster <bfoster@xxxxxxxxxx>, xfs@xxxxxxxxxxx
Delivered-to: xfs@xxxxxxxxxxx
In-reply-to: <20130611060546.GK29376@dastard>
References: <1369636707-15150-1-git-send-email-david@xxxxxxxxxxxxx> <1369636707-15150-2-git-send-email-david@xxxxxxxxxxxxx> <51A62F2F.6040807@xxxxxxxxxx> <20130530174915.GB20932@xxxxxxx> <20130611060546.GK29376@dastard>
User-agent: Mutt/1.5.20 (2009-06-14)
Hi Dave,

On Tue, Jun 11, 2013 at 04:05:46PM +1000, Dave Chinner wrote:
> On Thu, May 30, 2013 at 12:49:15PM -0500, Ben Myers wrote:
> > On Wed, May 29, 2013 at 12:39:11PM -0400, Brian Foster wrote:
> > > On 05/27/2013 02:38 AM, Dave Chinner wrote:
> > > > From: Dave Chinner <dchinner@xxxxxxxxxx>
> > > > 
> > > > We write the superblock every 30s or so which results in the
> > > > verifier being called. Right now that results in this output
> > > > every 30s:
> > > > 
> > > > XFS (vda): Version 5 superblock detected. This kernel has EXPERIMENTAL 
> > > > support enabled!
> > > > Use of these features in this kernel is at your own risk!
> > > > 
> > > > And spamming the logs.
> > > > 
> > > > We don't need to check for whether we support v5 superblocks or
> > > > whether there are feature bits we don't support set as these are
> > > > only relevant when we first mount the filesytem. i.e. on superblock
> > > > read. Hence for the write verification we can just skip all the
> > > > checks (and hence verbose output) altogether.
> > > > 
> > > > Signed-off-by: Dave Chinner <dchinner@xxxxxxxxxx>
> > > > ---
> > > 
> > > Reviewed-by: Brian Foster <bfoster@xxxxxxxxxx>
> > 
> > Applied.
> 
> Ben, while I see this in the xfsdev tree, I don't see it in Linus'
> tree. Did it get missed on the recent merges? If so, can you queue
> it up for 3.10-rc6?

Argh.  I missed it in the shuffle.  I'll queue it up for 3.10-rc6.
Apologies, and a nice catch.

-Ben

<Prev in Thread] Current Thread [Next in Thread>